# docker-syslog-forwarder

[![Build Status](https://drone.asperti.com/api/badges/paspo/docker-syslog-forwarder/status.svg)](https://drone.asperti.com/paspo/docker-syslog-forwarder)

This container accepts syslog streams on port `514/tcp` and `514/udp` and forwards everything to a remote syslog server in RFC5424 format.

No encryption support at the moment.

## build

```bash
docker build . -t docker.asperti.com/paspo/syslog-forwarder
```

## environment

Variable      | Default   | Description
--------------|-----------|---------------------------
 TARGET_HOST  | 127.0.0.1 | target server IP/hostname
 TARGET_PROTO | tcp       | `tcp` or `udp`
 TARGET_PORT  | 514       | target server syslog port

## run

```bash
docker run -d --name syslog-forwarder \
  -p 514:514/tcp -p 514:514/udp \
  -e "TARGET_HOST=192.168.1.33" \
  docker.asperti.com/paspo/syslog-forwarder
```

## docker-compose

```yaml
version: "3"
services:

  syslog-forwarder:
    image: docker.asperti.com/paspo/syslog-forwarder
    restart: always
    ports:
      - "514:514/tcp"
      - "514:514/udp"
    environment:
      - TARGET_HOST=192.168.1.33
      - TARGET_PROTO=tcp
      - TARGET_PORT=1514
```
